Skip to main content
POST
/
v1
/
jobs
/
{job-id}
/
loads
Add a new load to a Job
curl --request POST \
  --url https://api.tread-horizon.com/v1/jobs/{job-id}/loads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quantity": 123,
  "unit_of_measure": "Load",
  "phase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "waypoints": [
    {
      "type": "pickup",
      "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ordinality": 123,
      "contact": {
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      }
    }
  ],
  "notes": "<string>",
  "material_rate_assignment": {
    "sell_price": 123,
    "buy_price": 123,
    "unit_of_measure": "Load",
    "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "quantity": "<string>",
    "unit_of_measure": "Load",
    "load_id": "<string>",
    "ordinality": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "job_id": "<string>",
    "state": "created",
    "waypoints": [
      {
        "type": "pickup",
        "ordinality": 123,
        "site": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "lat": "<string>",
          "lon": "<string>",
          "full_address": "<string>",
          "routable": true,
          "discarded_at": "2023-11-07T05:31:56Z",
          "address": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "thoroughfare": "<string>",
            "premise": "<string>",
            "locality": "<string>",
            "administrative_area": "<string>",
            "postal_code": "<string>",
            "country": "US",
            "lat": "<string>",
            "lon": "<string>",
            "place_id": "<string>"
          },
          "next_billion_geofence": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "geofence": {
              "name": "<string>",
              "type": "<string>",
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "geojson": {
                "type": "<string>",
                "coordinates": [
                  [
                    [
                      "<unknown>"
                    ]
                  ]
                ]
              },
              "circle_center": {
                "lat": 123,
                "lon": 123
              },
              "circle_radius": 123,
              "tag": "pickup"
            },
            "moving_geofence": false,
            "tag": "scaling",
            "geofence_type": "moving"
          }
        },
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "contact": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "email": "<string>",
          "phone": "+18885551234"
        }
      }
    ],
    "notes": "<string>",
    "approved_at": "2023-11-07T05:31:56Z",
    "approved": true,
    "approvable": true,
    "unapprovable": true,
    "billing_approved_at": "2023-11-07T05:31:56Z",
    "field_approved_at": "2023-11-07T05:31:56Z",
    "ticket": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ticket_number": "<string>",
      "preview_url": "<string>"
    },
    "foremen": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "first_name": "<string>",
        "last_name": "<string>",
        "discarded_at": "2023-11-07T05:31:56Z",
        "email": "<string>",
        "phone": "<string>",
        "external_id": "<string>",
        "schedule_on": true
      }
    ],
    "phase": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "code": "<string>",
      "primary": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "material": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "external_id": "<string>"
    },
    "approval_status": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "biller_approved": true,
      "company_admin_approved": true,
      "driver_approved": true,
      "foreman_approved": true,
      "billing_approved_at": "2023-11-07T05:31:56Z",
      "field_approved_at": "2023-11-07T05:31:56Z"
    },
    "ai_review": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "flagged",
      "confidence": "<string>",
      "summary": "<string>",
      "reasoning": "<string>",
      "issues": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "material_rate_assignment": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sell_price": "<string>",
      "buy_price": "<string>",
      "unit_of_measure": "Load",
      "site": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "lat": "<string>",
        "lon": "<string>",
        "full_address": "<string>",
        "routable": true,
        "discarded_at": "2023-11-07T05:31:56Z",
        "address": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "thoroughfare": "<string>",
          "premise": "<string>",
          "locality": "<string>",
          "administrative_area": "<string>",
          "postal_code": "<string>",
          "country": "US",
          "lat": "<string>",
          "lon": "<string>",
          "place_id": "<string>"
        },
        "next_billion_geofence": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "geofence": {
            "name": "<string>",
            "type": "<string>",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "geojson": {
              "type": "<string>",
              "coordinates": [
                [
                  [
                    "<unknown>"
                  ]
                ]
              ]
            },
            "circle_center": {
              "lat": 123,
              "lon": 123
            },
            "circle_radius": 123,
            "tag": "pickup"
          },
          "moving_geofence": false,
          "tag": "scaling",
          "geofence_type": "moving"
        }
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

job-id
string
required

Job ID

Body

application/json

Deprecation notes:

  • quantity is deprecated and will be default based on the Job#attributes_for_load
  • unit_of_measure is deprecated and will be default based on the Job#attributes_for_load
  • phase_id is deprecated and will be default based on the Job#attributes_for_load
quantity
number | null
deprecated
unit_of_measure
enum<string>
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

phase_id
string<uuid> | null
deprecated
material_id
string<uuid> | null
waypoints
Waypoint-Create · object[]
notes
string | null
material_rate_assignment
MaterialRateAssignment-Update · object

Response

Created

data
Load-Read · object
required